#ifndef __Config
#define __Config

#include <Arduino.h>

const uint8_t PinLCDRS = 7;
const uint8_t PinLCDEN = 8;
const uint8_t PinLCDDB4 = 9;
const uint8_t PinLCDDB5 = 10;
const uint8_t PinLCDDB6 = 11;
const uint8_t PinLCDDB7 = 12;
const uint8_t PinEncoderClock = 2;
const uint8_t PinEncoderData = 3;
const uint8_t PinButton = 4;
const uint8_t PinBuzzer = 5;
const uint8_t PinLED = 6;

// Note: an LCD size of at least 16x2 is assumed for all text to fit
const uint8_t LCDWidth = 16;
const uint8_t LCDHeight = 2;

const uint8_t EncoderSensitivity = 4;
const uint8_t SmallStep = 1;
const uint8_t LargeStepTreshold = 60;
const uint8_t LargeStep = 10;
const uint8_t IntensityStep = 5;


const uint32_t DefaultExposureTime = 60;
const uint8_t DefaultExposureIntensity = 100;

const uint8_t LCDCharArrowRight = 0;
const uint8_t LCDCharArrowLeft = 1;
const uint8_t LCDCharArrowRightHollow = 2;
const uint8_t LCDCharArrowLeftHollow = 3;
const uint8_t LCDCharUpDown = 4;
const uint8_t LCDCharUp = 5;
const uint8_t LCDCharDown = 6;

extern uint8_t LCDCharArrowRightMap[8];
extern uint8_t LCDCharArrowLeftMap[8];
extern uint8_t LCDCharArrowRightHollowMap[8];
extern uint8_t LCDCharArrowLeftHollowMap[8];
extern uint8_t LCDCharUpDownMap[8];
extern uint8_t LCDCharUpMap[8];
extern uint8_t LCDCharDownMap[8];

#endif
