#include "sound.h"
#include "config.h"
#include "state.h"
#include "display.h"
#include "buzzer.h"


const char* SoundMenuItem::getTitle()
{
  return UniqueString("Sound");
}


const char* SoundMenuItem::getValue()
{
  switch (GetBuzzer())
  {
    case BuzzerSetting::CompletedButtonStartup:
      return UniqueString("All");

    case BuzzerSetting::CompletedButton:
      return UniqueString("Alarm/button");

    case BuzzerSetting::Completed:
      return UniqueString("Alarm only");

    case BuzzerSetting::None:
      return UniqueString("None");
  }

  return NULL;
}


bool SoundMenuItem::canIncrement()
{
  return GetBuzzer() > BuzzerSetting::First;
}


bool SoundMenuItem::canDecrement()
{
  return GetBuzzer() < BuzzerSetting::Last;
}


void SoundMenuItem::incrementValue()
{
  SetBuzzer((BuzzerSetting)((uint8_t)GetBuzzer() - 1));
}


void SoundMenuItem::decrementValue()
{
  SetBuzzer((BuzzerSetting)((uint8_t)GetBuzzer() + 1));
}