#include "start.h"
#include "state.h"
#include "display.h"
#include "screen/countdown.h"

const char* StartMenuItem::getTitle()
{
  return UniqueString("Start");
}


const char* StartMenuItem::getValue()
{
  const char* time = FormatTime(GetExposureTime());
  const char* intensity = FormatPercentage(GetExposureIntensity());

  uint8_t timeLength = strlen(time);
  uint8_t intensityLength = strlen(intensity);

  char* value = new char[timeLength + 3 + intensityLength + 1];

  strcpy(value, time);
  delete[] time;

  uint8_t offset = timeLength;

  value[offset] = ' '; offset++;
  value[offset] = '@'; offset++;
  value[offset] = ' '; offset++;

  strcpy(value + offset, intensity);
  delete[] intensity;

  return value;
}


void StartMenuItem::execute(ScreenManager* screenManager, uint32_t currentTime)
{
  StartExposureTimer(currentTime);
  screenManager->show<CountdownScreen>();
}
