#include "time.h"
#include "config.h"
#include "state.h"
#include "display.h"
#include "buzzer.h"

const char* TimeMenuItem::getTitle()
{
  return UniqueString("Time");
}


const char* TimeMenuItem::getValue()
{
  return FormatTime(GetExposureTime());
}


bool TimeMenuItem::canIncrement()
{
  return GetExposureTime() < (uint16_t)-1;
}


bool TimeMenuItem::canDecrement()
{
  return GetExposureTime() > SmallStep;
}


void TimeMenuItem::incrementValue()
{
  uint16_t exposureTime = GetExposureTime();
  SetExposureTime(exposureTime + (exposureTime >= LargeStepTreshold ? LargeStep : SmallStep));
}


void TimeMenuItem::decrementValue()
{
  uint16_t exposureTime = GetExposureTime();
  SetExposureTime(exposureTime - (exposureTime > LargeStepTreshold ? LargeStep : SmallStep));
}