#ifndef __state
#define __state

#include <Arduino.h>

enum BuzzerSetting
{
  CompletedButtonStartup = 0,
  CompletedButton = 1,
  Completed = 2,
  None = 3,

  First = CompletedButtonStartup,
  Last = None
};

uint16_t GetExposureTime();
void SetExposureTime(uint16_t value);

uint8_t GetExposureIntensity();
void SetExposureIntensity(uint8_t value);

BuzzerSetting GetBuzzer();
void SetBuzzer(BuzzerSetting value);


void LoadSettings();
void SaveSettings();

void StartExposureTimer(uint32_t currentTime);
void ResetExposureTimer();
uint16_t GetExposureTimeRemaining(uint32_t currentTime);

#endif
